<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer variant="charcoal-100">
    <section class="customer-logos">
      <div class="customer-logos__companies slp-flex">
        <a
          v-for="company in data.showcased_enterprises"
          :key="company.id"
          v-bind="{ id: company.id ? company.id : null }"
          class="icon"
        >
          <object
            class="customer-logos__companies-icon"
            type="image/svg+xml"
            :data="company.image_url"
          />
        </a>
      </div>
    </section>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.customer-logos {
  margin-top: $spacing-32;
  margin-bottom: $spacing-64;
  position: relative;

  &__companies {
    display: flex;
    justify-content: center;
    flex-wrap: nowrap;
    align-items: center;
    position: relative;
    @media (min-width: $breakpoint-md) {
      justify-content: space-between;
    }

    a {
      margin: $spacing-8;

      &-icon {
        max-width: 100%;
      }

      svg {
        width: 100%;
        color: gray;
      }
      &.lg {
        flex: 0 1 170px;
      }
      &.sm {
        flex: 0 1 90px;
      }

      &#deutsche-telekom {
        text-align: center;
        img {
          width: 50px !important;
          text-align: center;
        }
      }
    }

    &-icon:hover {
      transform: scale(1.05);
      transition: all 0.2s ease-in-out;
    }
    @media (max-width: $breakpoint-sm) {
      & > :nth-child(7) {
        display: none;
      }
      & > :nth-child(8) {
        display: none;
      }
    }
  }

  @media (max-width: $breakpoint-lg) {
    margin: $spacing-48 0 $spacing-64 0;

    &__companies {
      flex-wrap: wrap;

      a {
        box-sizing: content-box;
        margin: $spacing-8;

        object {
          max-width: $spacing-160;
        }
      }
    }
  }
  @media (min-width: $breakpoint-md) {
    margin-bottom: 96px;
  }
  @media (min-width: $breakpoint-lg) {
    margin-bottom: 112px;
  }
}
</style>
